Commit 9b6cdaf2 authored by Bastien Curutchet (eBPF Foundation)'s avatar Bastien Curutchet (eBPF Foundation) Committed by Martin KaFai Lau
Browse files

selftests/bpf: Remove with_addr.sh and with_tunnels.sh



Those two scripts were used by test_flow_dissector.sh to setup/cleanup
the network topology before/after the tests. test_flow_dissector.sh
have been deleted by commit 63b37657 ("selftests/bpf: remove
test_flow_dissector.sh") so they aren't used anywhere now.

Remove the two unused scripts and their Makefile entries.

Signed-off-by: default avatarBastien Curutchet (eBPF Foundation) <bastien.curutchet@bootlin.com>
Signed-off-by: default avatarMartin KaFai Lau <martin.lau@kernel.org>
Link: https://patch.msgid.link/20250204-with-v1-1-387a42118cd4@bootlin.com
parent ea145d53
Loading
Loading
Loading
Loading
+2 −2
Original line number Diff line number Diff line
@@ -117,8 +117,8 @@ TEST_PROGS := test_kmod.sh \
	test_xsk.sh \
	test_xdp_features.sh

TEST_PROGS_EXTENDED := with_addr.sh \
	with_tunnels.sh ima_setup.sh verify_sig_setup.sh \
TEST_PROGS_EXTENDED := \
	ima_setup.sh verify_sig_setup.sh \
	test_xdp_vlan.sh test_bpftool.py

TEST_KMODS := bpf_testmod.ko bpf_test_no_cfi.ko bpf_test_modorder_x.ko \
+0 −54
Original line number Diff line number Diff line
#!/bin/bash
# SPDX-License-Identifier: GPL-2.0
#
# add private ipv4 and ipv6 addresses to loopback

readonly V6_INNER='100::a/128'
readonly V4_INNER='192.168.0.1/32'

if getopts ":s" opt; then
  readonly SIT_DEV_NAME='sixtofourtest0'
  readonly V6_SIT='2::/64'
  readonly V4_SIT='172.17.0.1/32'
  shift
fi

fail() {
  echo "error: $*" 1>&2
  exit 1
}

setup() {
  ip -6 addr add "${V6_INNER}" dev lo || fail 'failed to setup v6 address'
  ip -4 addr add "${V4_INNER}" dev lo || fail 'failed to setup v4 address'

  if [[ -n "${V6_SIT}" ]]; then
    ip link add "${SIT_DEV_NAME}" type sit remote any local any \
	    || fail 'failed to add sit'
    ip link set dev "${SIT_DEV_NAME}" up \
	    || fail 'failed to bring sit device up'
    ip -6 addr add "${V6_SIT}" dev "${SIT_DEV_NAME}" \
	    || fail 'failed to setup v6 SIT address'
    ip -4 addr add "${V4_SIT}" dev "${SIT_DEV_NAME}" \
	    || fail 'failed to setup v4 SIT address'
  fi

  sleep 2	# avoid race causing bind to fail
}

cleanup() {
  if [[ -n "${V6_SIT}" ]]; then
    ip -4 addr del "${V4_SIT}" dev "${SIT_DEV_NAME}"
    ip -6 addr del "${V6_SIT}" dev "${SIT_DEV_NAME}"
    ip link del "${SIT_DEV_NAME}"
  fi

  ip -4 addr del "${V4_INNER}" dev lo
  ip -6 addr del "${V6_INNER}" dev lo
}

trap cleanup EXIT

setup
"$@"
exit "$?"
+0 −36
Original line number Diff line number Diff line
#!/bin/bash
# SPDX-License-Identifier: GPL-2.0
#
# setup tunnels for flow dissection test

readonly SUFFIX="test_$(mktemp -u XXXX)"
CONFIG="remote 127.0.0.2 local 127.0.0.1 dev lo"

setup() {
  ip link add "ipip_${SUFFIX}" type ipip ${CONFIG}
  ip link add "gre_${SUFFIX}" type gre ${CONFIG}
  ip link add "sit_${SUFFIX}" type sit ${CONFIG}

  echo "tunnels before test:"
  ip tunnel show

  ip link set "ipip_${SUFFIX}" up
  ip link set "gre_${SUFFIX}" up
  ip link set "sit_${SUFFIX}" up
}


cleanup() {
  ip tunnel del "ipip_${SUFFIX}"
  ip tunnel del "gre_${SUFFIX}"
  ip tunnel del "sit_${SUFFIX}"

  echo "tunnels after test:"
  ip tunnel show
}

trap cleanup EXIT

setup
"$@"
exit "$?"